package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 报警信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmResp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;

    /**
     * 所属工务段编码(单位id)
     */
    private Long deptId;

    /**
     * 报警里程位置
     */
    private String alarmMile;


    /**
     * 里程范围
     */
    private String beginMile;

    /**
     * 监视相机经度纬度
     */
    private String installLongitude;

    /**
     * 解除人
     */
    private String releasedBy;

    /**
     * 解除时间
     */
    private Date releasedTime;
    
}
